Skip to main content
`Ctrl`+`K`

# VecAbs

Replaces every element in a vector with its absolute value.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecAbs(Vec v)

Logically Collective

## Input Parameter

- v - the vector

## See Also

`Vec`, `VecExp()`, `VecSqrtAbs()`, `VecReciprocal()`, `VecLog()`, `VecPointwiseSign()`

## Level

intermediate

## Location

src/vec/vec/utils/vinv.c

## Examples

src/tao/tutorials/ex4.c
src/tao/unconstrained/tutorials/elastic_net_regularization.c

## Implementations

VecAbs_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages